%define upstream_name    Gnome2
%define upstream_version 1.047

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module for the gnome2-2.x core libraries
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.40.0
BuildRequires: perl(Gnome2::Canvas) >= 1.0.0
BuildRequires: perl(Gnome2::VFS) >= 1.0.0
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: perl-devel
Conflicts:	drakxtools < 9.1-15mdk
Requires:   perl(Gtk2) >= 1.00
%{?perl_default_filter}

%description
This module provides perl access to GNOME-2.x core libraries.

GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software.

GNOME libraries provide extra widgets on top of the gtk+ toolkit.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc AUTHORS LICENSE META.json META.yml MYMETA.yml NEWS README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/*


%changelog
* Thu Jun 18 2020 tv <tv> 1.47.0-6.mga8
+ Revision: 1596447
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.47.0-5.mga8
+ Revision: 1529134
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.47.0-4.mga8
+ Revision: 1433135
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.47.0-3.mga7
+ Revision: 1292974
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.47.0-2.mga7
+ Revision: 1249787
- Rebuild for perl 5.28

* Wed Nov 08 2017 tv <tv> 1.47.0-1.mga7
+ Revision: 1176575
- update to 1.047

* Mon Oct 02 2017 tv <tv> 1.46.0-7.mga7
+ Revision: 1164579
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.46.0-6.mga7
+ Revision: 1150092
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 1.46.0-5.mga7
+ Revision: 1129445
- use std macros
- fix build with perl 5.26
- rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.46.0-3.mga6
+ Revision: 1027946
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.46.0-2.mga6
+ Revision: 957353
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.46.0-1.mga6
+ Revision: 851487
- update to 1.046

* Fri Jun 26 2015 tv <tv> 1.45.0-7.mga6
+ Revision: 844878
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.45.0-6.mga6
+ Revision: 841056
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.45.0-5.mga5
+ Revision: 748787
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.45.0-4.mga5
+ Revision: 732189
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.45.0-3.mga5
+ Revision: 684877
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.45.0-2.mga5
+ Revision: 632488
- perl 5.20.0 rebuild

* Tue Feb 04 2014 tv <tv> 1.45.0-1.mga5
+ Revision: 581987
- drop merged patch
- use gz sources
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1.43.0-2.mga4
+ Revision: 539626
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 1.43.0-1.mga4
+ Revision: 492538
- Fix build
+ tv <tv>
- build w/o make -j (fix build)
- new release

* Wed May 29 2013 jquelin <jquelin> 1.42.0-12.mga4
+ Revision: 432110
- perl 5.18.0 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 1.42.0-11.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.42.0-11.mga3
+ Revision: 367775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.42.0-10.mga3
+ Revision: 250650
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.42.0-9.mga2
+ Revision: 138572
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.42.0-8.mga2
+ Revision: 104403
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.42.0-7.mga1
+ Revision: 37049
- mageia rebuild
- imported package perl-Gnome2

